Bug 234314 - databases/mongodb34: update 3.4.16 -> 3.4.18
Summary: databases/mongodb34: update 3.4.16 -> 3.4.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-23 20:45 UTC by Kurt Jaeger
Modified: 2019-02-04 16:20 UTC (History)
2 users (show)

See Also:
ronald-lists: maintainer-feedback+


Attachments
patch (2.33 KB, patch)
2018-12-23 20:45 UTC, Kurt Jaeger
no flags Details | Diff
patch (2.41 KB, patch)
2019-02-04 15:50 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2018-12-23 20:45:54 UTC
Created attachment 200411 [details]
patch

testbuilds@work
Comment 1 Kurt Jaeger freebsd_committer 2018-12-23 21:26:36 UTC
testbuilds are fine.
Comment 2 Kurt Jaeger freebsd_committer 2018-12-23 21:29:36 UTC
Release-Notes: https://docs.mongodb.com/manual/release-notes/3.4/
Comment 3 Ronald Klop 2019-01-01 19:48:45 UTC
I (maintainer) am ok with this update.

What is the reason for the TLS1_3_VERSION change in the patch?
-#ifdef TLS1_3_VERSION
-        case TLS1_3_VERSION:
-            counts.tls13.addAndFetch(1);
-            break;
-#endif

Can this reason be mentioned in the commit message?
Comment 4 Kurt Jaeger freebsd_committer 2019-02-04 13:45:04 UTC
(In reply to Ronald Klop from comment #3)
There's no definition for tls13 in ssl_manager.h so the code did not compile.

There is struct TLSVersionCounts, but it's not yet extended for tls13.

One can argue to just extend it to tls13, but, as far as I know, the last
dependency on mongodb34 is already updated...
Comment 5 Ronald Klop 2019-02-04 15:09:52 UTC
(In reply to Kurt Jaeger from comment #4)
Please go ahead and commit it.
Comment 6 Kurt Jaeger freebsd_committer 2019-02-04 15:50:22 UTC
Created attachment 201723 [details]
patch

This is the update to 3.4.19, and TLS13 was changed a bit, so I changed the patch for this as well. Testbuilds@work
Comment 7 Kurt Jaeger freebsd_committer 2019-02-04 16:20:26 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2019-02-04 16:20:36 UTC
A commit references this bug:

Author: pi
Date: Mon Feb  4 16:20:25 UTC 2019
New revision: 492142
URL: https://svnweb.freebsd.org/changeset/ports/492142

Log:
  databases/mongodb34: update 3.4.16 -> 3.4.19

  PR:		234314
  Approved by:	Ronald Klop <ronald-lists@klop.ws>
  Relnotes:	https://docs.mongodb.com/manual/release-notes/3.4/

Changes:
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/distinfo
  head/databases/mongodb34/files/patch-src_mongo_util_net_ssl__manager.cpp
  head/databases/mongodb34/files/patch-src_mongo_util_net_ssl__manager.h